Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.ode.sampling
Class DummyStepHandler

    java.lang.Object
      org.apache.commons.math.ode.sampling.DummyStepHandler

All Implemented Interfaces:
  StepHandler

    public class DummyStepHandler

extends Object
implements StepHandler

This class is a step handler that does nothing.

This class is provided as a convenience for users who are only interested in the final state of an integration and not in the intermediate steps. Its handleStep method does nothing.

Since this class has no internal state, it is implemented using the Singleton design pattern. This means that only one instance is ever created, which can be retrieved using the getInstance method. This explains why there is no public constructor.

Since:
  1.2
Version:
  $Revision: 811827 $ $Date: 2009-09-06 17:32:50 +0200 (dim. 06 sept. 2009) $
See Also:
  `StepHandler`

Method Summary
`static DummyStepHandler` | `getInstance()` Get the only instance.
`void` | `handleStep(StepInterpolator interpolator, boolean isLast)` Handle the last accepted step.
`boolean` | `requiresDenseOutput()` Determines whether this handler needs dense output.
`void` | `reset()` Reset the step handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DummyStepHandler getInstance()

  Get the only instance.

  Returns:
    the only instance

### requiresDenseOutput

    public boolean requiresDenseOutput()

  Determines whether this handler needs dense output. Since this handler does nothing, it does not require dense output.

  Specified by:
    `requiresDenseOutput` in interface `StepHandler`
  Returns:
    always false

### reset

    public void reset()

  Reset the step handler. Initialize the internal data as required before the first step is handled.

  Specified by:
    `reset` in interface `StepHandler`

### handleStep

    public void handleStep(StepInterpolator interpolator,
                           boolean isLast)

  Handle the last accepted step. This method does nothing in this class.

  Specified by:
    `handleStep` in interface `StepHandler`
  Parameters:
    `interpolator` - interpolator for the last accepted step. For efficiency purposes, the various integrators reuse the same object on each call, so if the instance wants to keep it across all calls (for example to provide at the end of the integration a continuous model valid throughout the integration range), it should build a local copy using the clone method and store this copy.
    `isLast` - true if the step is the last one

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.